VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::HardwareTypes::Version Class Reference

The `Hardware.Version` enumerated type defines the valid virtual hardware versions for a virtual machine. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, VMX_03, VMX_04, VMX_06, VMX_07, VMX_08, VMX_09, VMX_10, VMX_11, VMX_12, VMX_13 }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Version[] | GetValues ()
static Version | ValueOf (string name)
## Static Public Attributes
static readonly Version | VMX_03 = new Version("VMX_03", Values.VMX_03)
| Hardware version 3.
static readonly Version | VMX_04 = new Version("VMX_04", Values.VMX_04)
| Hardware version 4.
static readonly Version | VMX_06 = new Version("VMX_06", Values.VMX_06)
| Hardware version 6.
static readonly Version | VMX_07 = new Version("VMX_07", Values.VMX_07)
| Hardware version 7.
static readonly Version | VMX_08 = new Version("VMX_08", Values.VMX_08)
| Hardware version 8.
static readonly Version | VMX_09 = new Version("VMX_09", Values.VMX_09)
| Hardware version 9.
static readonly Version | VMX_10 = new Version("VMX_10", Values.VMX_10)
| Hardware version 10.
static readonly Version | VMX_11 = new Version("VMX_11", Values.VMX_11)
| Hardware version 11.
static readonly Version | VMX_12 = new Version("VMX_12", Values.VMX_12)
| Hardware version 12.
static readonly Version | VMX_13 = new Version("VMX_13", Values.VMX_13)
| Hardware version 13.

## Detailed Description

The `Hardware.Version` enumerated type defines the valid virtual hardware versions for a virtual machine.

## Member Enumeration Documentation

enum vmware::vcenter::vm::HardwareTypes::Version::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  VMX_03 | Hardware version 3.
  VMX_04 | Hardware version 4.
  VMX_06 | Hardware version 6.
  VMX_07 | Hardware version 7.
  VMX_08 | Hardware version 8.
  VMX_09 | Hardware version 9.
  VMX_10 | Hardware version 10.
  VMX_11 | Hardware version 11.
  VMX_12 | Hardware version 12.
  VMX_13 | Hardware version 13.

## Member Function Documentation

Values vmware::vcenter::vm::HardwareTypes::Version::GetEnumValue | ( |  | ) | `[inline]`

static Version [] vmware::vcenter::vm::HardwareTypes::Version::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::HardwareTypes::Version::IsUnknown | ( |  | ) | `[inline]`

static Version vmware::vcenter::vm::HardwareTypes::Version::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Version vmware::vcenter::vm::HardwareTypes::Version::VMX_03 = new Version("VMX_03", Values.VMX_03)`[static]`

Hardware version 3.

readonly Version vmware::vcenter::vm::HardwareTypes::Version::VMX_04 = new Version("VMX_04", Values.VMX_04)`[static]`

Hardware version 4.

readonly Version vmware::vcenter::vm::HardwareTypes::Version::VMX_06 = new Version("VMX_06", Values.VMX_06)`[static]`

Hardware version 6.

readonly Version vmware::vcenter::vm::HardwareTypes::Version::VMX_07 = new Version("VMX_07", Values.VMX_07)`[static]`

Hardware version 7.

readonly Version vmware::vcenter::vm::HardwareTypes::Version::VMX_08 = new Version("VMX_08", Values.VMX_08)`[static]`

Hardware version 8.

readonly Version vmware::vcenter::vm::HardwareTypes::Version::VMX_09 = new Version("VMX_09", Values.VMX_09)`[static]`

Hardware version 9.

readonly Version vmware::vcenter::vm::HardwareTypes::Version::VMX_10 = new Version("VMX_10", Values.VMX_10)`[static]`

Hardware version 10.

readonly Version vmware::vcenter::vm::HardwareTypes::Version::VMX_11 = new Version("VMX_11", Values.VMX_11)`[static]`

Hardware version 11.

readonly Version vmware::vcenter::vm::HardwareTypes::Version::VMX_12 = new Version("VMX_12", Values.VMX_12)`[static]`

Hardware version 12.

readonly Version vmware::vcenter::vm::HardwareTypes::Version::VMX_13 = new Version("VMX_13", Values.VMX_13)`[static]`

Hardware version 13.

The documentation for this class was generated from the following file:

- HardwareTypes.cs